HdfsServerFederationProtos.MountTableRecordProto.DestOrder (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.federation.protocol.proto, class: HdfsServerFederationProtos, class: MountTableRecordProto, enum: DestOrder

Package org.apache.hadoop.hdfs.federation.protocol.proto

# Enum Class HdfsServerFederationProtos.MountTableRecordProto.DestOrder

java.lang.Object
java.lang.Enum<HdfsServerFederationProtos.MountTableRecordProto.DestOrder>
org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.MountTableRecordProto.DestOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsServerFederationProtos.MountTableRecordProto.DestOrder>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.MountTableRecordProto

public static enum HdfsServerFederationProtos.MountTableRecordProto.DestOrder extends Enum<HdfsServerFederationProtos.MountTableRecordProto.DestOrder> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.hdfs.MountTableRecordProto.DestOrder`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HASH`
  `HASH = 0;`
  `HASH_ALL`
  `HASH_ALL = 3;`
  `LEADER_FOLLOWER`
  `LEADER_FOLLOWER = 5;`
  `LOCAL`
  `LOCAL = 1;`
  `RANDOM`
  `RANDOM = 2;`
  `SPACE`
  `SPACE = 4;`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `HASH_ALL_VALUE`
  `HASH_ALL = 3;`
  `static final int`
  `HASH_VALUE`
  `HASH = 0;`
  `static final int`
  `LEADER_FOLLOWER_VALUE`
  `LEADER_FOLLOWER = 5;`
  `static final int`
  `LOCAL_VALUE`
  `LOCAL = 1;`
  `static final int`
  `RANDOM_VALUE`
  `RANDOM = 2;`
  `static final int`
  `SPACE_VALUE`
  `SPACE = 4;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HdfsServerFederationProtos.MountTableRecordProto.DestOrder`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<HdfsServerFederationProtos.MountTableRecordProto.DestOrder>`
  `internalGetValueMap()`
  `static HdfsServerFederationProtos.MountTableRecordProto.DestOrder`
  `valueOf(int value)`
  Deprecated.
  `static HdfsServerFederationProtos.MountTableRecordProto.DestOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsServerFederationProtos.MountTableRecordProto.DestOrder`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static HdfsServerFederationProtos.MountTableRecordProto.DestOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HASH

    public static final HdfsServerFederationProtos.MountTableRecordProto.DestOrder HASH
    `HASH = 0;`

  - ### LOCAL

    public static final HdfsServerFederationProtos.MountTableRecordProto.DestOrder LOCAL
    `LOCAL = 1;`

  - ### RANDOM

    public static final HdfsServerFederationProtos.MountTableRecordProto.DestOrder RANDOM
    `RANDOM = 2;`

  - ### HASH_ALL

    public static final HdfsServerFederationProtos.MountTableRecordProto.DestOrder HASH_ALL
    `HASH_ALL = 3;`

  - ### SPACE

    public static final HdfsServerFederationProtos.MountTableRecordProto.DestOrder SPACE
    `SPACE = 4;`

  - ### LEADER_FOLLOWER

    public static final HdfsServerFederationProtos.MountTableRecordProto.DestOrder LEADER_FOLLOWER
    `LEADER_FOLLOWER = 5;`

- ## Field Details

  - ### HASH_VALUE

    public static final int HASH_VALUE
    `HASH = 0;`
    See Also:
      - Constant Field Values

  - ### LOCAL_VALUE

    public static final int LOCAL_VALUE
    `LOCAL = 1;`
    See Also:
      - Constant Field Values

  - ### RANDOM_VALUE

    public static final int RANDOM_VALUE
    `RANDOM = 2;`
    See Also:
      - Constant Field Values

  - ### HASH_ALL_VALUE

    public static final int HASH_ALL_VALUE
    `HASH_ALL = 3;`
    See Also:
      - Constant Field Values

  - ### SPACE_VALUE

    public static final int SPACE_VALUE
    `SPACE = 4;`
    See Also:
      - Constant Field Values

  - ### LEADER_FOLLOWER_VALUE

    public static final int LEADER_FOLLOWER_VALUE
    `LEADER_FOLLOWER = 5;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static HdfsServerFederationProtos.MountTableRecordProto.DestOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsServerFederationProtos.MountTableRecordProto.DestOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static HdfsServerFederationProtos.MountTableRecordProto.DestOrder valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static HdfsServerFederationProtos.MountTableRecordProto.DestOrder forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<HdfsServerFederationProtos.MountTableRecordProto.DestOrder> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static HdfsServerFederationProtos.MountTableRecordProto.DestOrder valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null